#ifndef _CALLBACKS_H_
#define _CALLBACKS_H_

#include <glib.h>
#include <gtk/gtk.h>

#if __cplusplus
extern "C" {
#endif

gboolean cb_hardkey_press( GtkWidget *widget, GdkEventKey *event,
						   gpointer ptr );

gboolean cb_mousebutton_press( GtkWidget *widget, GdkEventKey *event,
							   gpointer ptr );

gboolean cb_slide( GtkWidget *widget, gpointer data );

gboolean cb_quit( GtkWidget *widget, gpointer data );

gboolean cb_from_splash_screen_to_selection( GtkWidget *widget, GdkEvent *event, 
											 gchar *ptr );

gboolean cb_from_selection_to_recording( GtkWidget *widget, GdkEvent *event, 
										 GSList *song_pic_filenames );

gboolean cb_from_recording_to_selection( GtkWidget *widget, GdkEvent *event, 
										 gchar *name );

gboolean cb_from_recording_to_listening( GtkWidget *widget, GdkEvent *event, 
										 gchar *name );

gboolean cb_from_listening_to_recording( GtkWidget *widget, GdkEvent *event, 
										 gchar *name );

gboolean cb_from_listening_to_sending( GtkWidget *widget, GdkEvent *event, 
									   gchar *name );

gboolean cb_from_sending_to_selection( GtkWidget *widget, GdkEvent *event, 
									   gchar *name );

gboolean cb_send_email( GtkWidget *widget, GdkEvent *event, 
						gchar *name );

#if __cplusplus
}
#endif

#endif
