#ifndef _AUDIO_H_
#define _AUDIO_H_

#if __cplusplus
extern "C" {
#endif

#include <glib.h>

void audio_initialize( );
void audio_deinitialize();

void audio_recording_state_start( gchar *song );
void audio_recording_state_stop();

void audio_listening_state_start( gchar *song, gchar *record );
void audio_listening_state_stop();

void audio_trigger_comment();

#if __cplusplus
}
#endif


#endif
