
#include <gtk/gtk.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <unistd.h>
#include <string.h>
#include <stdio.h>
#include <hildon/hildon.h>
#include <gdk/gdkkeysyms.h>
#include <glib.h>
#include <libgen.h>
#include <dirent.h>
#include <gconf/gconf-client.h>
//--------------------
#include <stdlib.h>
//--------------------
#define KEYFILE "/home/user/.mobikid/mail"
#define SENDER "/home/user/.mobikid/sender"
#define DIRECTORY " /home/user/.mobikid/"
#define IMG "/home/user/.mobikid/"
//user <=>teemu
//rm lause user <=>teemu
//main mkdir user <=>teemu


/* ==== Globals ==== */
GtkWidget *image;
GKeyFile* post;
GtkListStore* store;
GtkWidget *viewport;
GtkWidget *tree_files;
GtkTreeIter iter;
GtkWidget *entry_email;

/*
char *filename;
char *link_kohde;
char *filename_path;
char *kohde=" ./";

*/
typedef struct {
	GtkWidget* entry_smtp;
	GtkWidget* entry_sender;
} DialogData;

void set_pref(GtkDialog* dialog, gint response, gpointer user_data)
{
GKeyFile* sender;
sender=g_key_file_new();
gchar *mail_key="mail";
gchar *key_data;
gsize length;

g_key_file_load_from_file (sender,SENDER,G_KEY_FILE_NONE,NULL);

DialogData* data = (DialogData*)user_data;
GConfClient* gconf_client;
gconf_client = gconf_client_get_default();

	if (response == GTK_RESPONSE_ACCEPT)
	{
	gconf_client_set_string(gconf_client,"/apps/tinymail/accounts/0/url_string",gtk_entry_get_text(GTK_ENTRY(data->entry_smtp)),NULL);

	g_key_file_set_string(sender,mail_key,"address",gtk_entry_get_text(GTK_ENTRY(data->entry_sender)));
	key_data = g_key_file_to_data(sender, &length, NULL);

	g_file_set_contents(SENDER,key_data,length,NULL);

	gtk_widget_destroy(GTK_WIDGET(dialog));
	}
	else
		{
		gtk_widget_destroy(GTK_WIDGET(dialog));
		}
}

void save_pref(GtkWidget* widget, gpointer user_data)
{

//GtkWidget *entry_smtp;
GtkWidget *dialog;
DialogData* data;
GtkWidget* table;
//GtkWidget* label=gtk_label_new("SMTP server:");
data = (DialogData*)g_malloc(sizeof(DialogData));
//gchar* smtp_url=NULL;
data->entry_smtp= gtk_entry_new();
data->entry_sender= gtk_entry_new();


GConfClient* gconf_client;
gconf_client = gconf_client_get_default();

GKeyFile* sender;
sender=g_key_file_new();
g_key_file_load_from_file (sender,SENDER,G_KEY_FILE_NONE,NULL);
gchar *sender_addr;
//gchar *mail_key="mail";
//sender_addr=g_key_file_get_string (sender,"mail","address",NULL);
sender_addr=g_key_file_get_string(sender,"mail","address",NULL);
gchar *smtp_url;
smtp_url=gconf_client_get_string (gconf_client,"/apps/tinymail/accounts/0/url_string",NULL);
//*-------------------------------------------------------*/
//if(smtp_url=="")
//{
//gtk_entry_set_text(data->entry_smtp,"smtp://");
//}
/*-------------------------------------------------------*/
//else
//{
gtk_entry_set_text(GTK_ENTRY(data->entry_smtp),smtp_url);
//}

gtk_entry_set_text(GTK_ENTRY(data->entry_sender),sender_addr);


//gtk_entry_set_text(data->entry_smtp,"smtp://");

dialog = gtk_dialog_new_with_buttons("SMTP server:", GTK_WINDOW(user_data),
	                                                GTK_DIALOG_DESTROY_WITH_PARENT,
	                                                GTK_STOCK_CANCEL, GTK_RESPONSE_REJECT,
	                                                GTK_STOCK_OK, GTK_RESPONSE_ACCEPT,
  	                                                NULL);

g_signal_connect(G_OBJECT(dialog), "response", G_CALLBACK(set_pref), data);
table = gtk_table_new(2, 2, FALSE);
gtk_table_attach_defaults(GTK_TABLE(table), gtk_label_new("Server:"),
	                          0, 1, 0, 1);
	gtk_table_attach_defaults(GTK_TABLE(table), data->entry_smtp,
	                          1, 2, 0, 1);


gtk_table_attach_defaults(GTK_TABLE(table), gtk_label_new("Sender:"),
	                          0, 1, 1, 2);
	gtk_table_attach_defaults(GTK_TABLE(table), data->entry_sender,
	                          1, 2, 1, 2);



//gtk_container_add(GTK_DIALOG(dialog), label);
//gtk_container_add(GTK_DIALOG(dialog), entry_smtp);

gtk_container_add(GTK_CONTAINER(GTK_DIALOG(dialog)->vbox), table);
gtk_widget_show_all(dialog);
}


void view_image()
{
GtkTreeModel* model;
GtkTreeSelection* selection;
gchar* picture;
gchar* path=NULL;
selection = gtk_tree_view_get_selection(GTK_TREE_VIEW(tree_files));

if(gtk_tree_selection_get_selected(selection, &model, &iter))
	{
	gtk_tree_model_get(GTK_TREE_MODEL(model), &iter, 1, &picture, -1);

	path=g_strconcat (IMG,picture,NULL);
	//polku=g_strconcat ("/home/user/.mobikid/",kuva,NULL);

	//polku=g_strconcat ("./email/",kuva,NULL);

	//printf("\n%s",polku);
	}

//gtk_image_clear(GTK_IMAGE(image));
//image = gtk_image_new_from_file (kuva);
gtk_image_set_from_file(GTK_IMAGE(image),path);
g_free(path);
/*  gtk_widget_show (image);
  gtk_container_add (GTK_CONTAINER (viewport), image);
  gtk_widget_set_size_request (image, 68, 96);*/
}

void remove_address()
{
GtkTreeModel* model;
GtkTreeSelection* selection;
gchar* no;
gchar* picture;
gchar* data;
gsize length;
gchar *cmd;

//teemu<=>user
gchar* remove="rm -r /home/user/.mobikid/";
//gchar* poisto="rm -r /home/teemu/koe/";

//gchar* poisto="rm -r ./email/";

//gchar* path="./";
/*
postit=g_key_file_new();
g_key_file_load_from_file (postit,"./email",G_KEY_FILE_NONE,NULL);
*/
selection = gtk_tree_view_get_selection(GTK_TREE_VIEW(tree_files));
if(gtk_tree_selection_get_selected(selection, &model, &iter))
	{
	gtk_tree_model_get(GTK_TREE_MODEL(model), &iter, 0, &no, -1);
	gtk_tree_model_get(GTK_TREE_MODEL(model), &iter, 1, &picture, -1);
	cmd=g_strconcat (remove,picture,NULL);

	//printf("%s",cmd);
	system(cmd);

	//printf("\n%s ",no);
	//printf("%s",kuva);


	g_key_file_remove_group (post,no,NULL);
	data = g_key_file_to_data(post, &length, NULL);

	g_file_set_contents(KEYFILE,data,length,NULL);
	//g_file_set_contents("/home/user/.mobikid/mail",data,length,NULL);


	gtk_list_store_remove (GTK_LIST_STORE(store),&iter);
	g_free(cmd);
	}

}


GtkWidget* create_treeview()
{
GtkWidget* view;
GtkCellRenderer* renderer;
GtkTreeViewColumn* column;


//gboolean bool_loytyi=TRUE;
gint i=1;
gchar* no;
//gchar* nimi;
gchar* mail;
gchar* pic_file;

post=g_key_file_new();
g_key_file_load_from_file (post,KEYFILE,G_KEY_FILE_NONE,NULL);
//g_key_file_load_from_file (postit,"/home/user/.mobikid/mail",G_KEY_FILE_NONE,NULL);

store = gtk_list_store_new(3, G_TYPE_STRING, G_TYPE_STRING,G_TYPE_STRING);
view= gtk_tree_view_new();

gtk_tree_view_set_headers_visible(GTK_TREE_VIEW(view), TRUE);

gtk_tree_view_set_model(GTK_TREE_VIEW(view), GTK_TREE_MODEL(store));


renderer = gtk_cell_renderer_text_new();
	g_object_set(renderer, "editable", TRUE, "foreground", "#006633", NULL);


	column = gtk_tree_view_column_new_with_attributes("No", renderer,
	                                                  "text", 0,
	                                                  NULL);

	gtk_tree_view_column_set_reorderable(column, TRUE);
	gtk_tree_view_column_set_resizable(column, TRUE);
	gtk_tree_view_append_column(GTK_TREE_VIEW(view), column);

renderer = gtk_cell_renderer_text_new();
	g_object_set(renderer, "editable", TRUE, "background", "#cccccc", NULL);
	/*g_signal_connect(G_OBJECT(renderer), "edited",
	                 G_CALLBACK(phone_edited), NULL);*/

	column = gtk_tree_view_column_new_with_attributes("File", renderer,
	                                                  "text", 1,
	                                                  NULL);
	gtk_tree_view_column_set_reorderable(column, TRUE);
	gtk_tree_view_column_set_resizable(column, TRUE);
	gtk_tree_view_append_column(GTK_TREE_VIEW(view), column);

renderer = gtk_cell_renderer_text_new();
	g_object_set(renderer, "editable", TRUE, "background", "#cccccc", NULL);
	/*g_signal_connect(G_OBJECT(renderer), "edited",
	                 G_CALLBACK(phone_edited), NULL);*/

	column = gtk_tree_view_column_new_with_attributes("E-mail", renderer,
	                                                  "text", 2,
	                                                  NULL);

	gtk_tree_view_column_set_reorderable(column, TRUE);
	gtk_tree_view_column_set_resizable(column, TRUE);
	gtk_tree_view_append_column(GTK_TREE_VIEW(view), column);




while(i<50/*bool_loytyi==TRUE*/)
{
	no=g_strdup_printf("%d",i);
	if(g_key_file_has_group(post,no)==TRUE)
	{
	mail=g_key_file_get_string(post,no,"mail",NULL);
	pic_file=g_key_file_get_string(post,no,"kuva",NULL);
	gtk_list_store_append(store, &iter);
		gtk_list_store_set(store, &iter,
		                   0,no,
		                   1, pic_file,2,mail,-1);
	i++;
	}else
		{
		i++;
		//bool_loytyi=FALSE;
		}
}

return view;
}

//-----------------------------------------------------------------------------

void add(/*GtkWindow *self*/)
{
gchar* kopioi="cp ";
gchar* cmd;

gint i=1;
//gint j;
gchar* no;
gchar* data;
gsize length;
//gchar* hakemisto="./email/";
gchar* hakemisto=DIRECTORY;
//gchar* hakemisto=" /home/user/.mobikid/";

GtkWidget *dialog;
//const gchar* email_os;
//gboolean bool_loytyi=FALSE;
char *filename;
post=g_key_file_new();

//g_key_file_load_from_file (postit,"./email/mail",G_KEY_FILE_NONE,NULL);

//g_key_file_load_from_file (postit,"/home/user/.mobikid/mail",G_KEY_FILE_NONE,NULL);
g_key_file_load_from_file (post,KEYFILE,G_KEY_FILE_NONE,NULL);

const gchar* email_os=gtk_entry_get_text(GTK_ENTRY(entry_email));

dialog = gtk_file_chooser_dialog_new ("Open File",
				      NULL,
				      GTK_FILE_CHOOSER_ACTION_OPEN,
				      GTK_STOCK_CANCEL, GTK_RESPONSE_CANCEL,
				      GTK_STOCK_OPEN, GTK_RESPONSE_ACCEPT,
				      NULL);//NULL->self

if (gtk_dialog_run (GTK_DIALOG (dialog)) == GTK_RESPONSE_ACCEPT)
{
    	gchar *filename_path;
	//char *filename;
	//char *kohde=" /home/user/.mobikid/";

	//char *link_kohde;

	filename_path = gtk_file_chooser_get_filename (GTK_FILE_CHOOSER (dialog));
	cmd=g_strconcat (kopioi,filename_path,hakemisto,NULL);

	filename=basename(filename_path);

	//link_kohde=g_strconcat(hakemisto,filename,NULL);

	system(cmd);
	//printf("\n%s teksti",filename);
/*
   if(link(filename_path,link_kohde)==-1)
	{
	printf("\nError");

	}
*/
  while(i<50 /*&& bool_loytyi==FALSE*/)
	{
	no=g_strdup_printf("%d",i);
	if(g_key_file_has_group(post,no)==TRUE)
	{
	i++;
	no=g_strdup_printf("%d",i);
	}else
		{
		/*postit=g_key_file_new();
		g_key_file_load_from_file (postit,"./email",G_KEY_FILE_NONE,NULL);
		g_key_file_set_string(postit,no,"mail",email_os);
		g_key_file_set_string(postit,no,"kuva",filename);*/

		gtk_list_store_append(store, &iter);
		gtk_list_store_set(store, &iter,
		                   0,no,
		                   1, filename,2,email_os,-1);
		//bool_loytyi==TRUE;
		break;
		}
	}/*
	gtk_list_store_append(store, &iter);
		gtk_list_store_set(store, &iter,
		                   0,no,
		                   1, filename,2,email_os,-1);*/

g_key_file_set_string(post,no,"mail",email_os);
g_key_file_set_string(post,no,"kuva",filename);
data = g_key_file_to_data(post, &length, NULL);

g_file_set_contents(KEYFILE,data,length,NULL);
//g_file_set_contents("/home/user/.mobikid/mail",data,length,NULL);

//g_file_set_contents("./email/mail",data,length,NULL);

//printf("\n%s",kuva);

//g_free (link_kohde);


g_free (cmd);
}

	//printf("\n%s teksti",filename);


gtk_widget_destroy (dialog);

}



void muokkaa()
{/*
char *email_os;
email_os=gtk_entry_get_text(GTK_ENTRY(entry_email));
char *no;
char *data;
gsize length;
GtkTreeModel* model;
GtkTreeSelection* selection;

selection = gtk_tree_view_get_selection(GTK_TREE_VIEW(tree_files));

g_key_file_set_string(postit,no,"mail",email_os);

data = g_key_file_to_data(postit, &length, NULL);
g_file_set_contents("./email",data,length,NULL);
*/
}

GtkWidget* create_window (void)
{
  GtkWidget *window;
  GtkWidget *fixed1;

  //GtkWidget *entry_email;
  GtkWidget *button_lisaa;
  GtkWidget *button_poista;
  GtkWidget *label1;
  GtkWidget *button_email_conf;



  window = gtk_window_new (GTK_WINDOW_TOPLEVEL);
  gtk_window_set_title (GTK_WINDOW (window), ("Add file"));

  fixed1 = gtk_fixed_new ();
  gtk_widget_show (fixed1);
  gtk_container_add (GTK_CONTAINER (window), fixed1);

  tree_files = create_treeview ();
  gtk_widget_show (tree_files);
  gtk_fixed_put (GTK_FIXED (fixed1), tree_files, 16, 0);
  gtk_widget_set_size_request (tree_files, 600, 200);

  entry_email = gtk_entry_new ();
  gtk_widget_show (GTK_WIDGET(entry_email));
  gtk_fixed_put (GTK_FIXED (fixed1), GTK_WIDGET(entry_email), 96, 256);
  gtk_widget_set_size_request (GTK_WIDGET(entry_email), 224, 24);
  gtk_entry_set_invisible_char (GTK_ENTRY (entry_email), 9679);

  button_lisaa = gtk_button_new_with_mnemonic (("Add"));
  gtk_widget_show (button_lisaa);
  gtk_fixed_put (GTK_FIXED (fixed1), button_lisaa, 16, 216);
  gtk_widget_set_size_request (button_lisaa, 80, 29);

  button_poista = gtk_button_new_with_mnemonic (("Remove"));
  gtk_widget_show (button_poista);
  gtk_fixed_put (GTK_FIXED (fixed1), button_poista, 16, 256);
  gtk_widget_set_size_request (button_poista, 80, 29);

  label1 = gtk_label_new (("E-Mail address"));
  gtk_widget_show (label1);
  gtk_fixed_put (GTK_FIXED (fixed1), label1, 96, 224);
  gtk_widget_set_size_request (label1, 144, 23);
/*
  image =  gtk_image_new_from_pixmap (NULL, NULL);
  gtk_widget_show (image);
  gtk_fixed_put (GTK_FIXED (fixed1), image, 344, 16);
  gtk_widget_set_size_request (image, 160, 184);
*/
 viewport = gtk_viewport_new (NULL, NULL);
  gtk_widget_show (viewport);
  gtk_fixed_put (GTK_FIXED (fixed1), viewport, 630, 60);
  gtk_widget_set_size_request (viewport, 90, 96);


  button_email_conf = gtk_button_new_with_mnemonic ("Edit preferences");
  gtk_widget_show (button_email_conf);
  gtk_fixed_put (GTK_FIXED (fixed1), button_email_conf, 336, 248);
  gtk_widget_set_size_request (button_email_conf, 150, 32);


  image = gtk_image_new ();
  gtk_widget_show (image);
  gtk_container_add (GTK_CONTAINER (viewport), image);
  gtk_widget_set_size_request (image, 90, 96);


  g_signal_connect ((gpointer) window, "delete_event",
                    G_CALLBACK (gtk_main_quit),
                    NULL);


  g_signal_connect ((gpointer) button_lisaa, "clicked",
                    G_CALLBACK (add),
                    /*window*/NULL);

  g_signal_connect ((gpointer) button_poista, "clicked",
                    G_CALLBACK (remove_address),
                    NULL);

  g_signal_connect ((gpointer) button_email_conf, "clicked",
                    G_CALLBACK (save_pref),
                    window);

g_signal_connect ((gpointer) tree_files, "cursor-changed",
                    G_CALLBACK (view_image),
                    NULL);

  return window;
}


int main (int argc, char *argv[])
{
GtkWidget *window;
//GtkWidget *filechooser;
HildonProgram* program;
gtk_set_locale ();
gtk_init (&argc, &argv);
gchar* cmd="mkdir /home/user/.mobikid";

GConfClient* gconf_client;
gconf_client = gconf_client_get_default();
gint count=1;
gchar *type="transport";
gchar *proto="smtp";

program = hildon_program_get_instance();
system(cmd);
  window = create_window ();
  gtk_widget_show (window);
  //filechooser = create_filechooser ();
  //gtk_widget_show (filechooser);

gconf_client_set_string(gconf_client,"/apps/tinymail/accounts/0/type",type,NULL);
gconf_client_set_string(gconf_client,"/apps/tinymail/accounts/0/proto",proto,NULL);
gconf_client_set_int(gconf_client,"/apps/tinymail/accounts/count",count,NULL);
/*-------------------------
gchar *smtp="smtp://smtp.eunet.fi";

gconf_client_set_string(gconf_client,"/apps/tinymail/accounts/0/url_string",smtp,NULL);
------------------------------*/

  gtk_main ();


return 0;
}
