#ifndef _EMAIL_C_
#define _EMAIL_C_

#include "email.h"

//#include <ossoemailinterface.h>
#include <libosso.h>

#include <dbus/dbus.h>
#include <dbus/dbus-glib-lowlevel.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>

#include <glib.h>
#include <gtk/gtk.h>
//#include <gobject.h>

#include <tny-maemo-platform-factory.h>
#include <tny-platform-factory.h>
#include <tny-msg-view.h>
#include <tny-msg-window.h>
#include <tny-msg.h>
#include <tny-account-store.h>
#include <tny-account.h>
#include <tny-camel-transport-account.h>

#include <stdio.h>
#define SENDER "/home/user/.mobikid/sender"
#define REC_FILE "/tmp/mobikid_rec.wav"
//#define REC_FILE "/tmp/hamahakki.mp3"
#define VIESTI "Mobikid-nauhoitus"
#define VIESTI2 "Liitetiedostona Mobikid-nauhoitus."
/*
void email_print_ret( osso_return_t ret );

osso_context_t *ossoContext = NULL;

void email_initialize( osso_context_t *osso )
{
	g_assert( ossoContext == NULL );

	ossoContext = osso;
}
*/
/*Creates TnyMsg and header and sets destination address to header*/
static TnyMsg* create_msg (gchar* osoite)//
{	
	TnyPlatformFactory* platfact;//=TNY_PLATFORM_FACTORY(tny_maemo_platform_factory_get_instance());
	platfact=TNY_PLATFORM_FACTORY(tny_maemo_platform_factory_get_instance());
	
	GKeyFile* sender;
	sender=g_key_file_new();
	g_key_file_load_from_file (sender,SENDER,G_KEY_FILE_NONE,NULL);
	gchar *sender_addr;
	gchar *mail_key="mail";
	sender_addr=g_key_file_get_string(sender,mail_key,"address",NULL);
	//printf("\nplatform factory.\n");

	TnyMsg *retval = tny_platform_factory_new_msg (platfact);
	//printf("\nNew message\n");
	TnyHeader *header;
	//gsize length;
	//gchar *osoite;
	//gchar* data;
	//gint vertaa;

	//gint i=1;
	//gchar* no;
	//gchar* mail;
	//gchar* tiedosto;	

	header = tny_msg_get_header (retval);

	tny_header_set_subject (header, VIESTI);
	
	tny_header_set_from (header, sender_addr);
	printf("\n%s\n",sender_addr);
	//tny_header_set_from (header, "teemu.maenpaa@luukku.com");
	tny_header_set_to (header,osoite);
	printf("\n%s\n",osoite);
	g_object_unref (G_OBJECT (header));
	

	return retval;
}
/*Creates message's body and attachment and then sends the message*/
void email_send( gchar* email_address )
{
	//printf("\nName: %s\n",email_address);
	TnyPlatformFactory* platfact;//=TNY_PLATFORM_FACTORY(tny_maemo_platform_factory_get_instance());
	platfact=TNY_PLATFORM_FACTORY(tny_maemo_platform_factory_get_instance());
	TnyAccountStore* account_store= tny_platform_factory_new_account_store(platfact);
	//printf("\nAccount store.\n");
	TnyMsg* msg;
	msg=create_msg (email_address);
	//printf("\nViesti luotu.\n");
	TnyList* accounts= tny_simple_list_new ();
	TnyTransportAccount  *account;
	TnyIterator *iter;

	tny_account_store_get_accounts (account_store, accounts,TNY_ACCOUNT_STORE_TRANSPORT_ACCOUNTS);
	iter=tny_list_create_iterator (accounts);
	
	account = (TnyStoreAccount*) tny_iterator_get_current (iter);
	//printf("\nAccount noudettu storesta.\n");			
	TnyStream *stream = TNY_STREAM(tny_camel_mem_stream_new ());
	TnyMimePart *msg_part = TNY_MIME_PART(tny_camel_mime_part_new ());
	
	TnyMimePart *msg_part2 = TNY_MIME_PART(tny_camel_mime_part_new ());
	//printf("\nRec_file:%s\n",REC_FILE);	
	int fd = open (REC_FILE,O_RDONLY);
	
	if (fd != -1)
	{
	TnyFsStream *stream2 = tny_fs_stream_new (fd);
	tny_stream_reset (stream2);
	tny_mime_part_construct (msg_part2, TNY_STREAM (stream2), "audio/x-wav", "base64");//audio/mpeg
	//printf("\nLiitetiedosto.");
	}
	tny_mime_part_set_filename (msg_part2,"mobikid_rec.wav");//mobikid_rec.wav 
	//printf("\nLiitetiedoston nimi.");	
	tny_stream_write (stream, VIESTI2, strlen (VIESTI2));
	tny_stream_reset (stream);

	tny_mime_part_construct (msg_part, stream, "text/plain", "7bit");
	g_object_unref (stream);
	
	tny_mime_part_add_part (TNY_MIME_PART (msg), msg_part);

	tny_mime_part_add_part(TNY_MIME_PART (msg), msg_part2);

	g_object_unref (msg_part);

	g_object_unref (msg_part2);

	
	GError* error = NULL;
	//printf("\nSending...\n");
	
	tny_transport_account_send(TNY_TRANSPORT_ACCOUNT(account), msg, &error);
	//printf("\nSent!\n");
	if (error) 
	{
	fprintf(stderr, "Unable to send: %s\n", error->message);
	}
g_object_unref(account_store);
}

/*
void email_print_ret( osso_return_t ret ) 
{
	switch( ret ) {
	case OSSO_OK :
		g_print("email| osso OK\n");
	break;
	case OSSO_ERROR : 
		g_print("email| osso error\n");
	break;
	case OSSO_INVALID :
		g_print("email| osso invalid parameter\n");
	break;
	case OSSO_RPC_ERROR :
		g_print("email| osso RPC invalid-> error with dbus message\n");
	break;
	default:
		g_warning("email| default met at email_print_ret()\n");
	break;
	}
}*/

#endif
