#ifndef _FUNCTIONALITY_H_
#define _FUNCTIONALITY_H_

#if __cplusplus
extern "C" {
#endif

#include "ui/ui.h" /* for direction */

void from_splash_screen_to_selection();
void from_selection_to_recording( gchar *song_name, gchar *pic_name );
void from_recording_to_selection();
void from_recording_to_listening();
void from_listening_to_recording();
void from_listening_to_sending();
void from_sending_to_selection();

void slide( Direction dir );
void quit();
void send_email( gchar *address );

#if __cplusplus
}
#endif

#endif
