#ifndef _log_C_
#define _log_C_

#include <gst/gst.h>
#include <glib.h>
#include <glib/gstdio.h>

void log_to_file(const gchar *log_domain, GLogLevelFlags log_level,
    const gchar *message, gpointer user_data)
{
  FILE *logfile = fopen ("/home/user/MyDocs/mobikid/mobikid.txt", "a");
  if (logfile == NULL)
  {
    /* Fall back to console output if unable to open file */
    printf ("Rerouted to console: %s\n", message);
	return;
  }
  
  GTimeVal current_time;
  g_get_current_time(&current_time);
  
  fprintf (logfile, "%s %s\n", g_time_val_to_iso8601 (&current_time), message);
  fclose (logfile);
}

/**
deletes an old log file and creates a new mobikid folder
**/
void log_start(){
	int t = g_remove("/home/user/MyDocs/mobikid/mobikid.txt");
	#if DEBUG
		if(t == -1)	
			g_print("file was not removed\n");
	#endif
	t= g_rmdir("/home/user/MyDocs/mobikid");  
	#if DEBUG
		if(t == -1)	
			g_print("directory was not removed\n");
	#endif	
	g_mkdir("/home/user/MyDocs/mobikid", S_IRWXU|S_IRWXG|S_IRWXO);
	#if DEBUG
		if(t == -1)	
			g_print("directory was not created\n");
	#endif	
}

#endif
