#ifndef _UI_H_
#define _UI_H_

#if __cplusplus
extern "C" {
#endif

#include <hildon/hildon-program.h>
#include <gtk/gtk.h>

typedef enum {
	LEFT  = 0x1,
	RIGHT = 0x2
} Direction;

#define WINDOW_HEIGHT (480)
#define	WINDOW_WIDTH (800)

HildonWindow *ui_initialize();
void ui_deinitialize();

void ui_slide( Direction dir );
void ui_show( HildonWindow *window );

#if __cplusplus
}
#endif

#endif
